/*-=-=-=-=-=-=-=-=-=-=-=- RCCL/RCI Notice of Copyright -=-=-=-=-=-=-=-=-=-=-*
 *									    *
 *	Copyright (C) 1991 by Mike Parker.				    *
 *									    *
 *	Information on copyright permissions, as well as a complete	    *
 *	disclaimer of warranty, is given in the file COPYRIGHT.		    *
 *									    *
 *-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=*/
#include <math.h>

main()
{
 float f;
 float s;
 int i;
 int j;

 for (i=0;i<1024;i++)
  { *(int *)&f = 0x4000 + (i >> 2) + (i << 30);
    s = sqrt(f);
    switch (i & 3)
     { case 0:
	  printf("\t.long\t\t0x%08x",*(int *)&s);
	  break;
       case 1:
       case 2:
	  printf(", 0x%08x",*(int *)&s);
	  break;
       case 3:
	  printf(", 0x%08x\n",*(int *)&s);
	  break;
     }
  }
 exit(0);
}
